Bug Hunting Session
Bug 114206 - Remove duplication of strings found in StartModuleCommands.xcu
Summary: Remove duplication of strings found in StartModuleCommands.xcu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: l10n-Optimization
  Show dependency treegraph
 
Reported: 2017-12-02 10:30 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-02-16 14:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-02 10:30:37 UTC
So StartModuleCommands.xcu[1] has many strings already found in GenericCommands.xcu[2], which results in them having to be translated twice, so they should be removed.

Patch is in - https://gerrit.libreoffice.org/#/c/44885/

[1] https://cgit.freedesktop.org/libreoffice/core/tree/officecfg/registry/data/org/openoffice/Office/UI/StartModuleCommands.xcu

[2] https://cgit.freedesktop.org/libreoffice/core/tree/officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu
Comment 1 tagezi 2018-01-21 22:30:33 UTC
Jay, do you fix this bug?
If yes, put Assigned, please. :)
Comment 2 Commit Notification 2018-02-16 14:52:34 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1eff3100a41f592407916dd4a21d0404f1364e1

tdf#114206 remove duplication of strings in startmodulecommands.xcu

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.